--[[
@title chdk charset

Licence: GPL2
(C)2016 forum.chdk-treff.de
Author : rudi
]]

local vr = "\006"

function writeHeader()
	local headc = "0123456789ABCDEF"
	print(string.format(" %s%s%s %s%s", vr, headc, vr, vr, headc))
end

function writeTable()
	for charline = 0, 7 do
		local line = ""
		for col = 0, 1 do
			local idx = charline + col * 0x8
			local linepart = string.format("%X%s", idx, vr)
			idx = 0x10 * idx
			for i = idx, idx + 0xf do
				-- replace \0 and \n with space, otherwise they cut the line
				linepart = string.format("%s%c", linepart, (i == 0x00 or i == 0x0a) and 0x20 or i)
			end
			if line ~= "" then line = line .. vr end
			line = line .. linepart
		end
		print(line)
	end
end

function writeChartable()
	local hr = string.rep("-", 37)
	cls()
	writeHeader()
	print(hr)
	writeTable()
	print(hr)
	print " [other key]=repeat      [MENU]=exit"
end

function restore()
    cls()
    set_console_layout(0,0,25,5)
    set_console_autoredraw(1)
end

--------------------MAIN-----------------------
set_console_layout(4, 1, 35 + 6, 10 + 3)

repeat
	writeChartable()
	wait_click(0)
until is_key("menu")

restore()
